#pragma once
#include <stdio.h>

void print_string(FILE* out, const char* x);
void print_bool(FILE* out, _Bool x);
void print_char(FILE* out, char x);
void print_int(FILE* out, int x);

void print(FILE* out, const char* fmt, ...);
